%set_strip_skiplist /bin/*

Name: e3
Version: 2.7.1
Release: alt0.M40.1
Group: System/Base
Summary: e3 is tiny wordstar/emacs/pico/vi/nedit alike editor, well suited for rescue disks
License: GPL
Source: %name-%version.tar
Url: http://freshmeat.net/projects/e3

Packager: Lenar Shakirov <snejok@altlinux.org>

# Automatically added by buildreq on Tue Dec 12 2006
BuildRequires: nasm packages-info-i18n-common

%description
e3 is teeny tiny editor that doesn't depend on any libs.
e3 uses subset of wordstar|emacs|pico|vi|nedit commands.
Author: Albrecht Kleine  <kleine@ak.sax.de>

%prep
%setup

%build
make

%install
make PREFIX="%buildroot" MANDIR="%buildroot%_man1dir" install
cd %buildroot/bin
rm -f %name[enpvw]*
for i in e3em e3ne e3pi e3vi e3ws
do
ln -s %name $i
done

%files
/bin/%{name}*
%_man1dir/%{name}*

%changelog
* Fri Mar 26 2010 Lenar Shakirov <snejok@altlinux.ru> 2.7.1-alt0.M40.1
- backport to branch 4.0

* Fri Mar 26 2010 Lenar Shakirov <snejok@altlinux.ru> 2.7.1-alt1
- new version

* Fri Mar 26 2010 Lenar Shakirov <snejok@altlinux.ru> 2.7.0-alt3
- Source: tar.gz -> tar

* Fri Mar 26 2010 Lenar Shakirov <snejok@altlinux.ru> 2.7.0-alt2
- URL updated
- .gear-rules -> .gear/rules
- packager - Me
- Spec cleanup (thanks to rpmcs)

* Tue Dec 12 2006 Terechkov Evgenii <evg@altlinux.ru> 2.7.0-alt1
- Initial build for Sisyphus
